<?php
require_once '../Clases/db.php';
require_once '../Clases/Compra.php';
require_once '../Clases/Proveedor.php';
//Verificar si el usuario ha iniciado sesion 
$mostrar = new proveedores ();
$proveedores = $mostrar->getAllProve();




session_start();
if (!isset($_SESSION['Username'])) { 
  header("Location: ../index.php");
exit;
}

//############# TOASTS ############//
include "../ArchivosCSS/StyleToasts.php";
?>

<!DOCTYPE html>
<html lang="es">
<header>
        <title>Compra</title>
        <link rel="stylesheet" type="text/css" href="../ArchivosCSS/Toast_Position.css">
</header>
<body>
<!--======== Incluir Menu Lateral y Nav ========-->
    <?php  include 'menu_lateral.php'; ?>

<!--======== Main ========-->
<div class="main">

    <div class="interno" >
 
 <!--======== Area Toast ========-->
           <div class="contenedor-toasts-internos" id="contenedor-botones"> 
              <?php
              if(isset($_GET["compra_exit"])==1){

                //toast de compra exitosa
                  echo $exitoCompraBTN;
                  echo $exitoCompraToast;
              }
             
              ?>
          </div>
          <!--======== Fin Area Toast ========-->
<style>
    .container {
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
</style>

<div class="container">
 <span style="margin-right: 8px;">N° de Compra</span>
    <?php 
        require_once '../Clases/Compra.php';
        $mostrar = new compras ();
        $conn = $mostrar->ultimonfactura(); 
        $connWithNumber = $conn + 1;
        echo '<input type="text" name="codigo" class="form-control" value="'.$connWithNumber.'" style="width: 100px;" readonly onmousedown="return false;">'
    ?>
</div>

<?php
    require_once '../Clases/Reporte.php';
    $mostrarp = new reportes();
    $prove = $mostrarp->nproveedores();

    if ($prove > 5) :
?>
      <div class="breadcrumb-holder">                                             
                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#register1">
                       <i class="bi bi-person-plus"></i> Agregar Proveedor
                          </button> <?php  include('./Modales/Compra/agregarproveedor.php'); ?>
                   </div>
    <br>
<?php
    else:
?>
<form action='./controladores/compras/agregarp.php' method='post'>
    <div class="row">
        
        <div class="col-lg-3">
            <select class="form-select" aria-label="Default select example" name="IdP" id="IdP">
                <option value="<?php echo $pr['ID'] ?>">Seleccione proveedor</option>
                <?php foreach ($proveedores as $pr) { ?>
                    <option value="<?php echo $pr['ID'];?>">
                         <?php echo $pr['Cedula_proveedor']; ?> / <?php echo $pr['Nombre_proveedor'] ?>
                    </option>
                <?php } ?>
            </select>
        </div>

        <!-- Aquí puedes incluir más campos del cliente si es necesario -->
      <input type='text' name='NombreP' value='<?php echo $pr['Nombre_proveedor']; ?>' style="display: none;">
        <input type='text' name='CedulaP' value='<?php echo $pr['Cedula_proveedor']; ?>' style="display: none;">
          <input type='text' name='EmpresaP' value='<?php echo $pr['Nombre_Empresa']; ?>' style="display: none;">
            <input type='text' name='ProductoP' value='<?php echo $pr['p_provee']; ?>' style="display: none;">

        <input type='submit' class="btn btn-primary" name='btnAnadir' value='Añadir' style="width: 7%;">
    </div>
</form>
<?php
    endif;
?>


<br><br>

                  <div class="breadcrumb-holder">                                             
                          <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#register">
                          <i class="bi bi-cart-plus"></i> Agregar Producto
                          </button> <?php  include('./Modales/Compra/agregarpro.php'); ?>
                  </div><br>
                
      <table id="myTable1" class="table table-light table-striped">
    <h4>Proveedor</h4>

          
                <tr>
                 
                    <th>Nombre</th>
                    <th>Cedula</th>
                      <th>Nombre de la Empresa</th>
                        <th>Producto que Provee</th>
                    <th>Eliminar</th>
                <tr>


                  <?php 
require_once '../Clases/db.php';
 $mostrar = new conn ();
 $conn = $mostrar->crearconn(); 

$username = $_SESSION['Username'];
$sql = "SELECT ID FROM usuario WHERE Username = '{$username}'";
 $r = $conn->query($sql);
 $row = mysqli_fetch_assoc($r);
$user_id = $row['ID'];


  $_SESSION["iduser"] = $user_id;

?>

<?php 
    
    if(isset($_SESSION["proveedor"])){
       $_SESSION["iduser"];
        $proveedor = $_SESSION["proveedor"];
        foreach ($proveedor as $prove) {
     $e = 0;

                         echo "<tr>";  
                         
                        echo "<td>".$prove->nombre."</td>";
                        echo "<td>".$prove->cedula."</td>";
                         echo "<td>".$prove->empresa."</td>";
                          echo "<td>".$prove->producto."</td>";
                          echo "<td>";
                            echo "<a class='btn btn-danger' href='./controladores/compras/eliminarprove.php?inc=$e'>Eliminar</a>";
                        echo "</td>";
                         echo "</tr>"; 
          }
        
?>

  <table id="myTable" class="table table-light table-striped">
    <h4>Listado de compra</h4>

          
                <tr>
                    <th>Codigo</th>
                    <th>Nombre</th>
                    <th>Precio $</th>
                    <th>Precio Bs</th>
                    <th>Stock actual</th>
                    <th>Cantidad</th>
                    <th>SubTotal $</th>
                    <th>SubTotal Bs</th>
                    <th>Eliminar</th>
                <tr>

          <?php
  

        if(isset($_SESSION["carrito"])){
            $carrito = $_SESSION["carrito"];

                $totaldolar = 0;
                 $totalbs = 0;
                $i = 0;

 foreach ($carrito as $p) { 
         
             echo "<tr>";
                        echo "<td>".$p->id."</td>";
                        echo "<td>".$p->nombre."</td>";
                        echo "<td>$".$p->precio."</td>";
                        echo "<td>Bs ".$p->preciobs."</td>";
                        echo "<td>".$p->stock."</td>";
                        echo "<td>".$p->cantidad."</td>";
                        echo "<td>$".$p->subTotal."</td>";
                         echo "<td>Bs ".$p->subTotalBs."</td>";
                         echo "<td>";
                            echo "<a class='btn btn-danger' href='./controladores/compras/eliminarproduct.php?in=$i'>Eliminar</a>";
                        echo "</td>";
                        $totaldolar += $p->subTotal;
                        $i++;
                        $totalbs += $p->subTotalBs;
                       
                         echo "</tr>";
                   }
                   echo "<tr>";
                    echo "<td colspan='6'><b>Total:</b></td>";
                    echo "<td colspan='1'><b>$ $totaldolar</b></td>";
                    echo "<td colspan='1'><b>Bs $totalbs</b></td>";
                     echo "<td colspan='1'></td>";
                    $_SESSION["totaldolar"] = $totaldolar;
                    $_SESSION["totalbs"] = $totalbs;
                echo "</tr>";
                 
                    echo "<tr>";
                    echo "<td colspan='9'>";
                        echo "<form action='./controladores/compras/generarCompra.php' method='post'>";
                         echo "<input type='hidden' name='connWithNumber' value='" . $connWithNumber . "'>";
                                         echo "<input type='hidden' name='cedulaf' value='" . $prove->cedula . "'>";
                            echo "<input type='submit' class='btn btn-success boton' value='Comprar'>";

                        echo "</form>";
                      
                    echo "</td>";
                echo "</tr>";
                 }
                 }


                ?>
  </table>
    </div><!--##:: Fin Divinterno ::##-->
</div><!--##:: Fin DivMain ::##-->
   
     <footer class="footer">
            <p>&copy; Todos los derechos reservados - <?php echo date("Y"); ?> | La Emperadora Internet Y Mas</p>
     </footer>
    <!--##::Link boostrap JS offline::##-->
    <script src="../bootstrap-5.3.1/js/bootstrap.bundle.min.js"></script>
    <script src="../ArchivosJS/jquery-3.6.0.min.js"></script> 
    <script src="../ArchivosJS/bootstrap.min.js"></script>
    <script src="../DataTables/datatables.min.js"></script>
<script src="../ArchivosJS/toasts.js"></script>
<script>
    $(document).ready(function() {
        $('#IdP').change(function() {
            var selectedOption = $(this).find(":selected");
            var selectedClientId = selectedOption.val();
            var selectedClientName = selectedOption.text().split('/')[1].trim();
            var selectedClientCedula = selectedOption.text().split('/')[0].trim();
            $('input[name=NombreP]').val(selectedClientName);
            $('input[name=CedulaP]').val(selectedClientCedula);
        });
    });
</script>
<script>
    // Recuperar la URL del PDF de la variable de sesión
    var urlDelPDF = "<?php echo isset($_SESSION['urlDelPDF']) ? $_SESSION['urlDelPDF'] : ''; ?>";

    // Verificar si hay una URL de PDF y abrirla en una ventana modal
    if (urlDelPDF) {
        // Código para abrir la ventana modal con la URL del PDF
        // Por ejemplo, usando una librería como Bootstrap Modal o cualquier otra de tu preferencia
        // Ejemplo con Bootstrap Modal:
        $('#pdfModal').modal('show');
        // Luego, puedes usar el objeto embed para cargar el PDF dentro del modal
        document.getElementById('pdfFrame').src = urlDelPDF;
    }
</script>
<?php
// Iniciar o reanudar una sesión
//session_start();

// Verificar si la variable de sesión "urlDelPDFC" tiene algún valor
if(isset($_SESSION["urlDelPDFC"]) && !empty($_SESSION["urlDelPDFC"])) {
    // La variable de sesión tiene un valor, imprime el script
    ?>
    <script>
        // Obtener la URL del PDF desde la variable de sesión
        var urlDelPDFC = "<?php echo $_SESSION["urlDelPDFC"]; ?>";

        // Abrir el PDF en una nueva pestaña
        window.open(urlDelPDFC, '_blank');

        // Eliminar la variable de sesión para que no pueda ser utilizada de nuevo
        <?php unset($_SESSION["urlDelPDFC"]); ?>

        // Redirigir después de abrir el PDF
    </script>
    <?php
}
?>
 </body>
</html>